
#include <stdlib.h>
#include <stdio.h>

#include "data.h"
#include "system.h"
#include "compat.h"

int main(int argc, char *argv[])
{
  if(argc<3) {
    printf("usage: %s <plugin-dir> <caid> <rawemm-file>\n",argv[0]);
    return 1;
    }
  InitAll(argv[1]);
  unsigned char emm[4096];
  ReadRaw(argv[3],emm,sizeof(emm));
    
  int caid=strtol(argv[2],0,0);
  cSystem *sys=0;
  int lastPri=0;
  while((sys=cSystems::FindBySysId(caid,false,lastPri))) {
    lastPri=sys->Pri();
    if(sys->HasLogger()) sys->ProcessEMM(0x123,caid,emm);
    delete sys;
    }
}
